Support » Plugin: CyberSEO Lite (CyberSyn) » The plugin can not be activated because it produces a fatal error.

  • Resolved andrebraselmann

    (@andrebraselmann)


    Das Plugin kann nicht aktiviert werden, da es einen fatalen Fehler erzeugt.

    The plugin can not be activated because it produces a fatal error.

Viewing 14 replies - 1 through 14 (of 14 total)
  • Hello andrebraselmann,

    Today I’ve upgraded from CyberSyn to CyberSEO Lite, but soon after the upgrade, it was not possible to activate the Plugin, and on return of the error I discovered that this variable was undefined (cybersyn.php at line 37 ):

    $ csyn_banner = cseo_file_get_contents (‘http://www.cyberseo.net/info/CyberSEO/ad-lite.php?site=’. urlencode (site_url ()));

    So I deleted this line on my own and the Plugin could be activated again and it’s running fine.

    I have the similar problem. After update I just can see blank page. When I go to cPanel and delete plugin folder, site works again.

    Crashed three sites..apparently doesn’t like to play with other plugins…

    the same name as their class will not be constructors in a future version of PHP; NimblePortfolioShortcodeWidget has a deprecated constructor in /home/business/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioShortcodeWidget.php on line 4

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; NimblePortfolioRecentItemsWidget has a deprecated constructor in /home/business/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioRecentItemsWidget.php on line 4

    Warning: session_start(): Cannot send session cache limiter – headers already sent (output started at /home/business/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioShortcodeWidget.php:4) in /home/business/public_html/wp-content/plugins/contus-video-gallery/hdflvvideoshare.php on line 1844

    Warning: Cannot modify header information – headers already sent by (output started at /home/business/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioShortcodeWidget.php:4) in /home/business/public_html/wp-content/plugins/wp-database-backup/includes/admin/class-wpdb-admin.php on line 65

    Warning: Cannot modify header information – headers already sent by (output started at /home/business/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioShortcodeWidget.php:4) in /home/business/public_html/wp-admin/includes/misc.php on line 1198

    Notice: Undefined index: facebook_access_token_expiry in /home/business/public_html/wp-content/plugins/autosocial/inc/notices.php on line 19

    Crashed my site as well after update, both admin and frontend. Deactivating plugin brought site up. Cannot activate now due to fatal error. Will try @pulpapp’s workaround.

    Plugin Author CyberSEO

    (@cyberseo)

    Pleas make sure to update your copy of CyberSEO Lite to the latest available version.

    Issue was caused by 6.0 Version 6.0.3 is able to be activated. The issue appears resolved.

    Thank you.

    Getting the same error as indicated earlier.

    Plugin Author CyberSEO

    (@cyberseo)

    Did you update your copy of CyberSEO Lite to version 6.03?

    yes…absolutely…cleaned cache as well.

    Plugin Author CyberSEO

    (@cyberseo)

    What the message says?

    When I activate the plugin (newest version) I get the following error (it goes away when I deactivate the plugin)

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; NimblePortfolioShortcodeWidget has a deprecated constructor in /home/forlawfirmsonly/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioShortcodeWidget.php on line 4

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; NimblePortfolioRecentItemsWidget has a deprecated constructor in /home/forlawfirmsonly/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioRecentItemsWidget.php on line 4

    Warning: session_start(): Cannot send session cache limiter – headers already sent (output started at /home/forlawfirmsonly/public_html/wp-content/plugins/nimble-portfolio/includes/class.NimblePortfolioShortcodeWidget.php:4) in /home/forlawfirmsonly/public_html/wp-content/plugins/accelerated-mobile-pages/includes/redirect.php on line 251

    Notice: Undefined index: saswp_archive_schema_type in /home/forlawfirmsonly/public_html/wp-content/plugins/schema-and-structured-data-for-wp/output/output.php on line 2486

    Notice: Undefined index: width in /home/forlawfirmsonly/public_html/wp-content/plugins/schema-and-structured-data-for-wp/output/output.php on line 1200

    Notice: Undefined index: height in /home/forlawfirmsonly/public_html/wp-content/plugins/schema-and-structured-data-for-wp/output/output.php on line 1201

    Warning: Illegal string offset ‘saswp_service_schema_name’ in /home/forlawfirmsonly/public_html/wp-content/plugins/schema-and-structured-data-for-wp/output/output.php on line 864

    Notice: Uninitialized string offset: 0 in /home/forlawfirmsonly/public_html/wp-content/plugins/schema-and-structured-data-for-wp/output/output.php on line 864

    Plugin Author CyberSEO

    (@cyberseo)

    These are not errors but just warnings and notices that have no relation to CyberSEO Lite (CyberSyn). They all caused by other 3rd-party plugins.

    The the code crashes, it give you a message which starts with “Error:“.

    Email me with your site’s URL: cyberseo@cyberseo.net

    • This reply was modified 10 months, 3 weeks ago by CyberSEO.

    I deactivated the plugin.

    The errors only appear when your plugin is activated so it is causing the problem.

    I sent you an email.

    Plugin Author CyberSEO

    (@cyberseo)

    > The errors only appear when your plugin is activated so it is causing the problem.

    Once again: not errors but warnings and notices in nimble-portfolio and schema-and-structured-data-for-wp plugins that use deprecated functions, undefined array indexes etc. The debug messages reveal all the information on what is wrong and where it is located. There are no such mistakes in my code.

    You don’t see those warnings and notices only because WP_DEBUG in your wp-config.php is set to FALSE which means no error messages will be shown.

    You should delete the plugin via Plugins -> Installed Plugins WordPress panel and re-install it again.

    or

    Download the plugin here, unzip and upload it into your /wp-content/plugins folder manually.

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘The plugin can not be activated because it produces a fatal error.’ is closed to new replies.